# Interface methods for submodule: ConnectedThresholdImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ConnectedThresholdImageFilter
class ConnectedThresholdImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSeed(self, seed: Sequence[int]) -> None:
		""""""
		...

	def AddSeed(self, seed: Sequence[int]) -> None:
		""""""
		...

	def ClearSeeds(self) -> None:
		""""""
		...

	def GetSeeds(self):
		""""""
		...

	@overload
	def SetReplaceValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetReplaceValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetReplaceValue(self) -> float:
		""""""
		...

	@overload
	def GetReplaceValue(self) -> int:
		""""""
		...

	@overload
	def SetUpper(self, arg0: float) -> None:
		""""""
		...

	@overload
	def SetUpper(self, arg0: int) -> None:
		""""""
		...

	@overload
	def SetLower(self, arg0: float) -> None:
		""""""
		...

	@overload
	def SetLower(self, arg0: int) -> None:
		""""""
		...

	def SetUpperInput(self, arg0) -> None:
		""""""
		...

	def SetLowerInput(self, arg0) -> None:
		""""""
		...

	@overload
	def GetUpper(self) -> float:
		""""""
		...

	@overload
	def GetUpper(self) -> int:
		""""""
		...

	@overload
	def GetLower(self) -> float:
		""""""
		...

	@overload
	def GetLower(self) -> int:
		""""""
		...

	def GetUpperInput(self):
		""""""
		...

	def GetLowerInput(self):
		""""""
		...

	def SetConnectivity(self, _arg) -> None:
		""""""
		...

	def GetConnectivity(self):
		""""""
		...

